Index: src/main/java/edu/gjoko/schedlr/mappers/AppointmentInfoDtoCustomerMapper.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/mappers/AppointmentInfoDtoCustomerMapper.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/mappers/AppointmentInfoDtoCustomerMapper.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -0,0 +1,32 @@
+package edu.gjoko.schedlr.mappers;
+
+import edu.gjoko.schedlr.dto.AppointmentInfoDto;
+import edu.gjoko.schedlr.entity.Appointment;
+import org.modelmapper.ModelMapper;
+import org.modelmapper.TypeMap;
+import org.modelmapper.config.Configuration;
+import org.springframework.stereotype.Service;
+
+@Service
+public class AppointmentInfoDtoCustomerMapper extends ModelMapper {
+
+    public AppointmentInfoDtoCustomerMapper() {
+        this.getConfiguration().setFieldMatchingEnabled(true).setFieldAccessLevel(Configuration.AccessLevel.PRIVATE);
+        TypeMap<Appointment, AppointmentInfoDto> propertyMapper = this.createTypeMap(Appointment.class, AppointmentInfoDto.class);
+        propertyMapper.addMappings(
+                mapper -> {
+                    mapper.map(Appointment::getId, AppointmentInfoDto::setAppointmentId);
+                    mapper.map(appointment -> appointment.getService().getBusiness().getOwner().getFullName(), AppointmentInfoDto::setFullName);
+                    mapper.map(appointment -> appointment.getCustomer().getEmail(), AppointmentInfoDto::setEmail);
+                    mapper.map(appointment -> appointment.getCustomer().getPhoneNumber(),AppointmentInfoDto::setPhoneNumber);
+                    mapper.map(Appointment::getTimePeriod, AppointmentInfoDto::setTimePeriod);
+                    mapper.map(appointment -> appointment.getService().getServiceType().getName(), AppointmentInfoDto::setServiceName);
+                    mapper.map(Appointment::getAppointmentStatus, AppointmentInfoDto::setStatus);
+                }
+        );
+    }
+
+    public AppointmentInfoDto appointmentToAppointmentInfoDto(Appointment appointment) {
+        return this.map(appointment, AppointmentInfoDto.class);
+    }
+}
Index: src/main/java/edu/gjoko/schedlr/mappers/ReviewDtoMapper.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/mappers/ReviewDtoMapper.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/mappers/ReviewDtoMapper.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -0,0 +1,32 @@
+package edu.gjoko.schedlr.mappers;
+
+import edu.gjoko.schedlr.dto.AppointmentDto;
+import edu.gjoko.schedlr.dto.ReviewDto;
+import edu.gjoko.schedlr.entity.Appointment;
+import edu.gjoko.schedlr.entity.Review;
+import org.modelmapper.ModelMapper;
+import org.modelmapper.TypeMap;
+import org.modelmapper.config.Configuration;
+import org.springframework.stereotype.Service;
+
+@Service
+public class ReviewDtoMapper extends ModelMapper {
+
+    public ReviewDtoMapper() {
+        this.getConfiguration().setFieldMatchingEnabled(true).setFieldAccessLevel(Configuration.AccessLevel.PRIVATE);
+        TypeMap<Review, ReviewDto> propertyMapper = this.createTypeMap(Review.class, ReviewDto.class);
+        propertyMapper.addMappings(mapper -> {
+            mapper.map(review -> review.getAppointment().getService().getBusiness().getCompanyName(), ReviewDto::setBusinessName);
+            mapper.map(review -> review.getAppointment().getCustomer().getFullName(), ReviewDto::setCustomerName);
+            mapper.map(review -> review.getAppointment().getService().getServiceType().getName(), ReviewDto::setServiceName);
+            mapper.map(Review::getComment, ReviewDto::setComment);
+            mapper.map(Review::getRating, ReviewDto::setRating);
+            mapper.map(Review::getCreated, ReviewDto::setCreated);
+        }
+        );
+    }
+
+    public ReviewDto mapToReviewDto(Review review) {
+        return this.map(review, ReviewDto.class);
+    }
+}
Index: src/main/java/edu/gjoko/schedlr/repositories/AppointmentRepository.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/repositories/AppointmentRepository.java	(revision 950fa0d7a6b439770e79c885947e9b7d6058b424)
+++ src/main/java/edu/gjoko/schedlr/repositories/AppointmentRepository.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -2,5 +2,4 @@
 
 import edu.gjoko.schedlr.entity.Appointment;
-import edu.gjoko.schedlr.entity.Business;
 import edu.gjoko.schedlr.entity.Stakeholder;
 import org.springframework.data.jpa.repository.JpaRepository;
@@ -10,21 +9,46 @@
 import java.time.LocalDateTime;
 import java.util.List;
+import java.util.Optional;
 
 @Repository
 public interface AppointmentRepository extends JpaRepository<Appointment, Long> {
 
-    List<Appointment> getAppointmentsByBusiness(Business business);
+    @Query(value = "select ap from Appointment as ap " +
+            "where ap.service.business.id = :businessId " +
+            "and ap.appointmentStatus = 'NEW'")
+    List<Appointment> getActiveAppointmentsByBusiness(Long businessId);
 
-    List<Appointment> getAppointmentsByCustomer(Stakeholder customer);
+    @Query( value = "select ap from Appointment as ap " +
+            "where ap.service.business.id = :businessId " +
+            "and (" +
+            "(ap.startTime between :startDate and :endDate) " +
+            "or (ap.endTime between :startDate and :endDate) " +
+            "or (:startDate = ap.startTime and ap.startTime = :endDate)" +
+            "or (:startDate > ap.startTime and ap.endTime > :endDate)" +
+            ")")
+    List<Appointment> findBlockingAppointments(Long businessId, LocalDateTime startDate, LocalDateTime endDate);
 
-    List<Appointment> findAppointmentsByBusinessAndStartTimeBetweenOrEndTimeBetween(Business business, LocalDateTime startTime, LocalDateTime endTime, LocalDateTime startTime1, LocalDateTime endTime1);
+    @Query(value = "select ap from Appointment  as ap " +
+            "where ap.service.business.owner.id = :businessOwnerId " +
+            "and ap.startTime > :now ")
+    List<Appointment> findFutureAppointmentsByBusinessOwnerId(Long businessOwnerId, LocalDateTime now);
 
-    @Query(value = "select a from Appointment a " +
-            "where business_id = :businessId " +
-            "and (" +
-            "(start_time between :startDate and :endDate) " +
-            "or (end_time between :startDate and :endDate) " +
-            "or (:startDate <= start_time and end_time >= :endDate)" +
-            ")", nativeQuery = true)
-    List<Appointment> findBlockingAppointments(Long businessId, LocalDateTime startDate, LocalDateTime endDate);
+    @Query(value = "select ap from Appointment  as ap " +
+            "where ap.customer.id = :customerId " +
+            "and ap.startTime < :now")
+    List<Appointment> findPastAppointmentsByCustomerId(Long customerId, LocalDateTime now);
+
+    @Query(value = "select ap from Appointment  as ap " +
+            "where ap.service.business.owner.id = :businessOwnerId " +
+            "and ap.startTime < :now ")
+    List<Appointment> findPastAppointmentsByBusinessOwnerId(Long businessOwnerId, LocalDateTime now);
+
+    @Query(value = "select ap from Appointment  as ap " +
+            "where ap.customer.id = :customerId " +
+            "and ap.startTime > :now ")
+    List<Appointment> findFutureAppointmentsByCustomerId(Long customerId, LocalDateTime now);
+
+    Optional<Appointment> findAppointmentByIdAndCustomer_Id(Long id, Long customerId);
+
+    Optional<Appointment> findAppointmentByIdAndService_Business_Owner_Id(Long id, Long ownerId);
 }
Index: src/main/java/edu/gjoko/schedlr/repositories/BusinessRepository.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/repositories/BusinessRepository.java	(revision 950fa0d7a6b439770e79c885947e9b7d6058b424)
+++ src/main/java/edu/gjoko/schedlr/repositories/BusinessRepository.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -17,3 +17,5 @@
 
     List<Business> findBusinessesByBusinessTypeAndBusinessStatus(BusinessType businessType, BusinessStatus businessStatus);
+
+    List<Business> findBusinessesByBusinessStatusAndBusinessType_Id(BusinessStatus businessStatus, Long id);
 }
Index: src/main/java/edu/gjoko/schedlr/repositories/ReviewRepository.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/repositories/ReviewRepository.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/repositories/ReviewRepository.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -0,0 +1,16 @@
+package edu.gjoko.schedlr.repositories;
+
+import edu.gjoko.schedlr.entity.Review;
+import org.springframework.data.jpa.repository.JpaRepository;
+import org.springframework.stereotype.Repository;
+
+import java.util.List;
+
+@Repository
+public interface ReviewRepository extends JpaRepository<Review, Long> {
+
+
+    List<Review> findAllByAppointment_Customer_Id(Long customerId);
+
+    List<Review> findAllByAppointment_Service_Id(Long serviceId);
+}
Index: src/main/java/edu/gjoko/schedlr/services/AppointmentsService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/AppointmentsService.java	(revision 950fa0d7a6b439770e79c885947e9b7d6058b424)
+++ src/main/java/edu/gjoko/schedlr/services/AppointmentsService.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -1,15 +1,21 @@
 package edu.gjoko.schedlr.services;
 
-import edu.gjoko.schedlr.entity.Appointment;
-import edu.gjoko.schedlr.entity.Business;
-import edu.gjoko.schedlr.entity.Stakeholder;
+import edu.gjoko.schedlr.dto.AppointmentInfoDto;
+import edu.gjoko.schedlr.entity.*;
 import edu.gjoko.schedlr.exceptions.BlockingTimeException;
+import edu.gjoko.schedlr.mappers.AppointmentInfoDtoBusinessMapper;
+import edu.gjoko.schedlr.mappers.AppointmentInfoDtoCustomerMapper;
 import edu.gjoko.schedlr.repositories.AppointmentRepository;
 import edu.gjoko.schedlr.repositories.ServiceRepository;
-import edu.gjoko.schedlr.repositories.ServiceTypeRepository;
+import edu.gjoko.schedlr.repositories.StakeholderRepository;
 import lombok.AllArgsConstructor;
 import org.springframework.stereotype.Service;
 
+import javax.persistence.EntityNotFoundException;
+import javax.security.sasl.AuthenticationException;
+import java.time.LocalDateTime;
+import java.util.ArrayList;
 import java.util.List;
+import java.util.Optional;
 
 @Service
@@ -18,13 +24,18 @@
 
     private final AppointmentRepository appointmentRepository;
+    private final StakeholderRepository stakeholderRepository;
+    private final ServiceRepository serviceRepository;
+    private final AppointmentInfoDtoBusinessMapper appointmentInfoDtoBusinessMapper;
+    private final AppointmentInfoDtoCustomerMapper appointmentInfoDtoCustomerMapper;
 
-    private final ServiceRepository serviceRepository;
 
     public void saveAppointment(Appointment appointment) {
         var service = serviceRepository.findById(appointment.getService().getId()).get();
-        appointment.setEndTime(appointment.getStartTime().plusMinutes(service.getDuration()));
+
+        // remove 1 minute in order to prevent overlapping
+        appointment.setEndTime(appointment.getStartTime().plusMinutes(service.getDuration() - 1));
         List<Appointment> blockingAppointments = appointmentRepository.
                 findBlockingAppointments(
-                        appointment.getBusiness().getId(), appointment.getStartTime(), appointment.getEndTime());
+                        appointment.getService().getBusiness().getId(), appointment.getStartTime(), appointment.getEndTime());
 
         // check to see if there are blocking exceptions
@@ -35,10 +46,64 @@
     }
 
-    public List<Appointment> getAppointmentsByBusiness(Business business) {
-        return appointmentRepository.getAppointmentsByBusiness(business);
+    public List<AppointmentInfoDto> getFutureAppointmentInfoList(Long stakeholderId) {
+        StakeholderType type = stakeholderRepository.findById(stakeholderId).get().getStakeholderType();
+        List<AppointmentInfoDto> appointmentInfoDtoList = new ArrayList<>();
+
+        switch (type) {
+            case BUSINESS_OWNER -> appointmentInfoDtoList = appointmentRepository.findFutureAppointmentsByBusinessOwnerId(stakeholderId, LocalDateTime.now())
+                    .stream()
+                    .map(appointmentInfoDtoBusinessMapper::appointmentToAppointmentInfoDto)
+                    .toList();
+            case CUSTOMER -> appointmentInfoDtoList = appointmentRepository.findFutureAppointmentsByCustomerId(stakeholderId, LocalDateTime.now())
+                    .stream()
+                    .map(appointmentInfoDtoCustomerMapper::appointmentToAppointmentInfoDto)
+                    .toList();
+        }
+
+        return appointmentInfoDtoList;
     }
 
-    private List<Appointment> getAppointmentsByCustomer(Stakeholder stakeholder) {
-        return appointmentRepository.getAppointmentsByCustomer(stakeholder);
+    public List<AppointmentInfoDto> getPastAppointmentInfoList(Long stakeholderId) {
+        StakeholderType type = stakeholderRepository.findById(stakeholderId).get().getStakeholderType();
+        List<Appointment> appointmentInfoDtoList = new ArrayList<>();
+
+        switch (type) {
+            case BUSINESS_OWNER -> appointmentInfoDtoList = appointmentRepository.findPastAppointmentsByBusinessOwnerId(stakeholderId, LocalDateTime.now());
+            case CUSTOMER -> appointmentInfoDtoList = appointmentRepository.findPastAppointmentsByCustomerId(stakeholderId, LocalDateTime.now());
+        }
+
+        return appointmentInfoDtoList
+                .stream()
+                .map(appointmentInfoDtoBusinessMapper::appointmentToAppointmentInfoDto)
+                .toList();
+
+    }
+
+    public List<Appointment> getActiveAppointmentsByBusiness(Long businessId) {
+        return appointmentRepository.getActiveAppointmentsByBusiness(businessId);
+    }
+
+    public void deleteAppointment(Long appointmentId, Long stakeholderId) throws AuthenticationException {
+        Optional<Stakeholder> stakeholderOptional = stakeholderRepository.findById(stakeholderId);
+        if (stakeholderOptional.isPresent()) {
+            Optional<Appointment> optional = appointmentRepository.findAppointmentByIdAndCustomer_Id(appointmentId, stakeholderId);
+            if (optional.isEmpty()) {
+                optional = appointmentRepository.findAppointmentByIdAndService_Business_Owner_Id(appointmentId, stakeholderId);
+                if (optional.isEmpty()) {
+                    throw new EntityNotFoundException("No appointment was found for the give stakeholder and appointment id.");
+                } else {
+                    softDeleteAppointment(optional.get(), AppointmentStatus.CANCELLED_BY_BUSINESS_OWNER);
+                }
+            } else {
+                softDeleteAppointment(optional.get(), AppointmentStatus.CANCELLED_BY_CUSTOMER);
+            }
+        } else {
+            throw new AuthenticationException();
+        }
+    }
+
+    public void softDeleteAppointment(Appointment appointment, AppointmentStatus appointmentStatus) {
+        appointment.setAppointmentStatus(appointmentStatus);
+        appointmentRepository.save(appointment);
     }
 }
Index: src/main/java/edu/gjoko/schedlr/services/BusinessService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/BusinessService.java	(revision 950fa0d7a6b439770e79c885947e9b7d6058b424)
+++ src/main/java/edu/gjoko/schedlr/services/BusinessService.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -2,11 +2,9 @@
 
 import edu.gjoko.schedlr.entity.*;
-import edu.gjoko.schedlr.repositories.BusinessRepository;
-import edu.gjoko.schedlr.repositories.ServiceRepository;
-import edu.gjoko.schedlr.repositories.ServiceTypeRepository;
-import edu.gjoko.schedlr.repositories.StakeholderRepository;
+import edu.gjoko.schedlr.repositories.*;
 import lombok.AllArgsConstructor;
 import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 import org.springframework.stereotype.Service;
+import org.springframework.util.CollectionUtils;
 
 import java.util.List;
@@ -22,4 +20,5 @@
     private final ServiceTypeRepository serviceTypeRepository;
     private final ServiceRepository serviceRepository;
+    private final StakeholderService stakeholderService;
 
     private final StakeholderRepository stakeholderRepository;
@@ -54,7 +53,7 @@
                 .stream()
                 .forEach(business -> {
-                    stakeholderRepository.save(business.getOwner());
-                    serviceRepository.saveAll(business.getServices());
-                    businessRepository.save(business);
+                    stakeholderService.saveOrUpdateStakeholder(business.getOwner());
+                    saveOrUpdateServices(business.getServices());
+                    saveOrUpdateBusiness(business);
                 });
     }
@@ -66,6 +65,28 @@
     }
 
-    public List<Business> findByBusinessTypeAndActiveStatus(BusinessType businessType) {
-        return businessRepository.findBusinessesByBusinessTypeAndBusinessStatus(businessType, ACTIVE);
+    public List<Business> findByBusinessTypeAndActiveStatus(Long businessTypeId) {
+        return businessRepository.findBusinessesByBusinessStatusAndBusinessType_Id(ACTIVE, businessTypeId);
+    }
+
+
+
+    private void saveOrUpdateBusiness(Business business) {
+        if (business.getId() != null) {
+            var foundBusinessEntity = businessRepository.findById(business.getId());
+            business.setCreated(foundBusinessEntity.get().getCreated());
+        }
+        businessRepository.save(business);
+    }
+
+    private void saveOrUpdateServices(List<edu.gjoko.schedlr.entity.Service> serviceList) {
+        if (!CollectionUtils.isEmpty(serviceList)) {
+            serviceList.forEach( service -> {
+                if (service.getId() != null) {
+                    var found = serviceRepository.findById(service.getId());
+                    service.setCreated(found.get().getCreated());
+                }
+            });
+            serviceRepository.saveAll(serviceList);
+        }
     }
 }
Index: src/main/java/edu/gjoko/schedlr/services/ReviewService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/ReviewService.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
+++ src/main/java/edu/gjoko/schedlr/services/ReviewService.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -0,0 +1,57 @@
+package edu.gjoko.schedlr.services;
+
+import edu.gjoko.schedlr.entity.Appointment;
+import edu.gjoko.schedlr.entity.AppointmentStatus;
+import edu.gjoko.schedlr.entity.Review;
+import edu.gjoko.schedlr.repositories.AppointmentRepository;
+import edu.gjoko.schedlr.repositories.ReviewRepository;
+import lombok.AllArgsConstructor;
+import org.springframework.stereotype.Service;
+
+import javax.persistence.EntityNotFoundException;
+import java.util.List;
+import java.util.Optional;
+
+@Service
+@AllArgsConstructor
+public class ReviewService {
+
+    private final ReviewRepository reviewRepository;
+    private final AppointmentRepository appointmentRepository;
+
+    public void save(Review review, Long customerId) {
+        Optional<Appointment> appointmentOptional = appointmentRepository.findById(review.getAppointment().getId());
+        if (appointmentOptional.isEmpty()) {
+            throw new EntityNotFoundException();
+        }
+        Appointment appointment = appointmentOptional.get();
+        if (appointment.getCustomer().getId().equals(customerId)) {
+            review.setAppointment(appointment);
+            markAppointmentAsReviewed(review.getAppointment());
+            calculateAndUpdateCumulatedRatingForService(appointment.getService(), review.getRating());
+            reviewRepository.save(review);
+        } else {
+            throw new EntityNotFoundException();
+        }
+    }
+
+    public List<Review> getReviewsByServiceId(Long businessId) {
+        return reviewRepository.findAllByAppointment_Service_Id(businessId);
+    }
+
+    public List<Review> getReviewsByCustomerId(Long customerId) {
+        return reviewRepository.findAllByAppointment_Customer_Id(customerId);
+    }
+
+    private void markAppointmentAsReviewed(Appointment appointment) {
+        appointment.setAppointmentStatus(AppointmentStatus.FINISHED_AND_REVIEWED_BY_USER);
+    }
+
+    private void calculateAndUpdateCumulatedRatingForService(edu.gjoko.schedlr.entity.Service service, int rating) {
+        int newReviewsCount = service.getReviewsCount() + 1;
+        float currentRating = service.getRating();
+        float newRating = (currentRating * service.getReviewsCount() + rating) / newReviewsCount;
+        service.setReviewsCount(newReviewsCount);
+        service.setRating(newRating);
+    }
+}
Index: src/main/java/edu/gjoko/schedlr/services/StakeholderService.java
===================================================================
--- src/main/java/edu/gjoko/schedlr/services/StakeholderService.java	(revision 950fa0d7a6b439770e79c885947e9b7d6058b424)
+++ src/main/java/edu/gjoko/schedlr/services/StakeholderService.java	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -6,4 +6,6 @@
 import org.springframework.security.crypto.bcrypt.BCryptPasswordEncoder;
 import org.springframework.stereotype.Service;
+
+import java.util.Optional;
 
 @Service
@@ -28,3 +30,15 @@
         return stakeholderRepository.findById(id).get();
     }
+
+    public void saveOrUpdateStakeholder(Stakeholder stakeholder) {
+        if (stakeholder.getId() != null) {
+            var found = stakeholderRepository.findById(stakeholder.getId()).get();
+            found.setFirstName(stakeholder.getFirstName());
+            found.setLastName(stakeholder.getLastName());
+            found.setPhoneNumber(stakeholder.getPhoneNumber());
+            found.setEmail(stakeholder.getEmail());
+            found.setUsername(stakeholder.getUsername());
+            stakeholderRepository.save(found);
+        }
+    }
 }
Index: src/main/resources/data.sql
===================================================================
--- src/main/resources/data.sql	(revision 950fa0d7a6b439770e79c885947e9b7d6058b424)
+++ src/main/resources/data.sql	(revision 77205be723c8b2ffd1ee5618a05e1d12b1cee44a)
@@ -1,8 +1,2 @@
-insert into stakeholder (id, created, email, first_name, last_name, modified, password, stakeholder_type, username)
-values (nextval('hibernate_sequence'), current_timestamp, 'admin@schedlr.com', 'admin', 'admin', current_timestamp, '$2a$10$DJyjt.Vj/U8MEuYX1PXL9ukQSMwXHVdhre3POlTqpYzNxHB5gu/MW','ADMIN', 'admin');
-
-insert into stakeholder (id, created, email, first_name, last_name, modified, password, stakeholder_type, username)
-values (nextval('hibernate_sequence'), current_timestamp, 'user1@schedlr.com', 'gjoko', 'kostadinov', current_timestamp, '$2a$10$Zc28AcCpAgxB.e67UMF/2.FgchjH9QWB7z8nP0TdkrFneV4IHPXji','CUSTOMER', 'user');
-
 insert into business_type (id, created, modified, name)
 values (1, current_timestamp, current_timestamp, 'tailor'),
@@ -21,2 +15,44 @@
        (nextval('hibernate_sequence'), current_timestamp, current_timestamp, 'dress shortening', 1),
        (nextval('hibernate_sequence'), current_timestamp, current_timestamp, 'holes fixing', 1);
+
+insert into stakeholder (id, created, phone_number, email, first_name, last_name, modified, password, stakeholder_type, username)
+values (nextval('hibernate_sequence'), current_timestamp, '075658123', 'admin@schedlr.com', 'admin', 'admin', current_timestamp, '$2a$10$DJyjt.Vj/U8MEuYX1PXL9ukQSMwXHVdhre3POlTqpYzNxHB5gu/MW','ADMIN', 'admin'),
+        (nextval('hibernate_sequence'), current_timestamp, '071658125', 'user1@schedlr.com', 'gjoko', 'kostadinov', current_timestamp, '$2a$10$Zc28AcCpAgxB.e67UMF/2.FgchjH9QWB7z8nP0TdkrFneV4IHPXji','CUSTOMER', 'user'),
+        (11111, current_timestamp, '078658523',  'c@c.com', 'Kliment', 'Nedelkovski', current_timestamp, '$2a$10$OratLSMKNsqd7Re.Md3I4.jrRHtTQNaLz/wUKo.I98..GufnD48uG','CUSTOMER', 'kliment123'),
+        (10000, current_timestamp, '071218123', 'q@c.com', 'Stefan', 'Petrovski', current_timestamp, '$2a$10$x10O8eLp1r1wHwxDGvyo5.TBL216p8h797JJjQYEfFTbj/1bnCMki','BUSINESS_OWNER', 'stefan123');
+
+insert into business (id, business_status, company_name, created, modified, business_type_id, owner_id)
+values (10001, 'ACTIVE', 'krojach stefan', current_timestamp, current_timestamp, 1, 10000);
+
+insert into service (id, created, modified, duration, price, cumulated_rating, reviews_count, business_id, service_type_id)
+values (10002, current_timestamp, current_timestamp, 60, 400, 0, 0, 10001, 6),
+       (10003, current_timestamp, current_timestamp, 30, 200, 0, 0, 10001, 7);
+
+insert into appointment (id, created, modified, start_time, end_time, stakeholder_id, service_id)
+values
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + time '10:00:00', current_date + time '10:59:00', 11111, 10002),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + time '11:00:00', current_date + time '11:29:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + time '13:00:00', current_date + time '13:59:00', 11111, 10002),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + time '14:00:00', current_date + time '14:29:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + time '14:30:00', current_date + time '14:59:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 1 + time '11:30:00', current_date + 1 + time '11:59:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 1 + time '13:30:00', current_date + 1 + time '14:29:00', 11111, 10002),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 1 + time '15:00:00', current_date + 1 + time '15:29:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 1 + time '14:30:00', current_date + 1 + time '14:59:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 1 + time '09:00:00', current_date - 1 + time '09:29:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 1 + time '10:00:00', current_date - 1 + time '10:59:00', 11111, 10002),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 1 + time '12:00:00', current_date - 1 + time '12:29:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 1 + time '12:40:00', current_date - 1 + time '12:09:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 2 + time '10:30:00', current_date - 2 + time '10:59:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 2 + time '12:10:00', current_date - 2 + time '13:09:00', 11111, 10002),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 2 + time '15:10:00', current_date - 2 + time '15:39:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 2 + time '14:15:00', current_date - 2 + time '14:44:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 3 + time '11:10:00', current_date - 3 + time '11:39:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 3 + time '14:30:00', current_date - 3 + time '14:59:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date - 3 + time '08:00:00', current_date - 3 + time '08:29:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 2 + time '10:10:00', current_date + 2 + time '10:29:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 2 + time '11:15:00', current_date + 2 + time '11:44:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 2 + time '14:30:00', current_date + 2 + time '14:59:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 3 + time '11:14:00', current_date + 3 + time '11:44:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 3 + time '13:25:00', current_date + 3 + time '13:54:00', 11111, 10003),
+    (nextval('hibernate_sequence'), current_timestamp, current_timestamp, current_date + 3 + time '14:00:00', current_date + 3 + time '14:29:00', 11111, 10003);
